Skip to content

Retrieve Bare Metal Instance Details ​

Retrieves the details of an existing bare metal instance. Supply the bare metal instance ID in the path, and API will return the corresponding bare metal instance object.

HTTP Request ​

GET {API_URL}bare-metal/instances/{id}

Path parameters ​

ParametersRequirementsTypeDescription
idRequiredstringThe unique identifier of the bare metal instance for which to retrieve details.

Reponse Attributes ​

status boolean ​

Indicates the result of the request to retrieve a list of bare metal instance. true signifies success, while false indicates an error.

message string ​

A description of the status of the request.

data object ​

The instance object contains details including configuration and specification details about the bare metal instance.

Example ​

Request ​

curl -X GET '{API_URL}bare-metal/instances/{id}' \
-H 'Authorization: Bearer {ACCESS_TOKEN}' \
-H 'refresh-token: {REFRESH_TOKEN}' \
-H 'Content-Type: application/json'

Response ​

{
    "status": true,
    "message": "Getting bare metal instance successful",
    "data": {
        "id": "66bd5a1299f01e419f5ad5be",
        "name": "BM-dhSqf5qh",
        "login": {
            "_id": "66bd5a1299f01e419f5ad5bd",
            "ssh_key": {
                "id": "66bd5a0799f01e419f5ad5b6",
                "name": "sshkey"
            }
        },
        "fixed_ip": "*.*.*.*",
        "started_time": 1730979274,
        "flavor": {
            "name": "s3-H100x8",
            "cpu": 192,
            "disk": 32100,
            "ram": 1844,
            "gpu": "H100-80G-SXM5",
            "gpu_count": 8,
        },
        "image": {
            "name": "Ubuntu Server 22.04 LTS (Jammy Jellyfish)"
        },
        "region": {
            "name": "SINGAPORE-1"
        }
    }
}